/*			ELTNUM	
 * Get the element number of an integer in a list of integers terminated with 0
 * 0 is the first element
 * returns element number on success, or -1 on no entry
 */

eltnum(num,numtab)
int num;		/* number to look for */
int *numtab;		/* pointer to the table of numbers */
{
	int i;		/* counts the element number */

	/* look for the number until end -of -table */
	for(i=0 ; ((*numtab) && (*numtab!=num)) ; numtab++) {
		i++;
	}

	/* return the element number */
	return((*numtab)?i:-1);
}

